Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Reactive_Dispatching Class Reference

Dispatch using the caller thread. More...

`#include <EC_Dispatching.h>`

Inheritance diagram for TAO_EC_Reactive_Dispatching:

[legend]
Collaboration diagram for TAO_EC_Reactive_Dispatching:

[legend]
List of all members.

## Public Methods
| TAO_EC_Reactive_Dispatching (void)
| The scheduler is used to find the range of priorities and similar info. More...
virtual void | activate (void)
| Initialize all the data structures, activate any internal threads, etc. More...
virtual void | shutdown (void)
virtual void | push (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual void | push_nocopy (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL_WITH_DEFAULTS)

## Detailed Description

Dispatch using the caller thread.

The events are dispatched in FIFO ordering, using the invoking thread to push the event to the consumer.

## Constructor & Destructor Documentation

TAO_EC_Reactive_Dispatching::TAO_EC_Reactive_Dispatching | ( | void |  | ) |

| The scheduler is used to find the range of priorities and similar info.

## Member Function Documentation

void TAO_EC_Reactive_Dispatching::activate | ( | void |  | ) | `[virtual]`

| Initialize all the data structures, activate any internal threads, etc. Reimplemented from TAO_EC_Dispatching.

virtual void TAO_EC_Reactive_Dispatching::push | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | const RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[virtual]`

| The consumer represented by <proxy> should receive <event>. It can use the information in <qos_info> to determine the event priority (among other things). Reimplemented from TAO_EC_Dispatching.

virtual void TAO_EC_Reactive_Dispatching::push_nocopy | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[virtual]`

| Reimplemented from TAO_EC_Dispatching.

void TAO_EC_Reactive_Dispatching::shutdown | ( | void |  | ) | `[virtual]`

| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. Reimplemented from TAO_EC_Dispatching.

The documentation for this class was generated from the following files:

- EC_Dispatching.h
- EC_Dispatching.cpp